#!/usr/bin/env node

const lookup = require('.')
const query = process.argv.slice(2)
const wrap = require('wordwrap')(80)

async function main() {
  if (!query.length) {
    console.log('Usage: nonsensopedia-tldr <term>')
    return
  }
  const result = await lookup(query)
  if (result) {
    console.log(wrap(result.text))
  } else {
    console.log('kurla brak wynikow')
  }
}

main()
